body{
    margin: 0;
    padding: 0;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    background: linear-gradient(150deg, #7AF246, #6C2965);
    height: 100vh;
}
.formulario{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 400px;
    background: azure;
    border-radius: 10px;
}
.formulario h1{
    text-align: center;
    padding: 0 0 20px 0;
    border-bottom: 1px solid silver;
}

.formulario form{
    padding: 0 40px;
    box-sizing: border-box;

}

form .registro{
  position: relative;
  border-bottom: 2px solid aliceblue;
  margin: 30px 0;
}

.registro input{
    width: 100px;
    padding: 0 5px;
    height: 40px;
    font-size: 18px;
    border: none;
    background: none;
    outline: none;
}

.registro label{
    position: absolute;
    top: 50%;
    left: 25px;
    color: #adadad;
    transform: translateY(-50%);
    font-size: 16px;
    pointer-events: none;
    transition: .5s;
}

.registro span::before{
    content:'';
    position: absolute;
    top: 40px;
    left: 0;
    width: 100%;
    height: 2px;
    background: #6C3483;
    transition: .5s;
}

.registro input:focus ~ label,
.registro input:focus ~ label{
     top: -5px;
    color: #6C3483;
}

.registro input:focus ~ span::before,
.registro input:focus ~ span::before{
    width: 100%;

}

input[type="button"]{
    width: 100%;
    height: 50px;
    border: 1px solid;
    background: linear-gradient(150deg, #7AF246, #6C2965);
    border-radius: 25px;
    font-size: 18px;
    color: azure;
    cursor: pointer;
    outline: none;
}
input[type="button"]:hover{
    border-color: purple;
    transition: .5s;
}